Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032991
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. PlatformtrivialN/A2016-05-18 17:022016-08-11 18:40
ReporteralostaleView Statuspublic 
Assigned ToNaroaIriarte 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revisionb54f7cedf5a5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032991: remove unused class org.openbravo.erpCommon.ad_process.Register

DescriptionNot useful as all its code is commented out.

Note it might have mappings that should also be removed.
Steps To Reproduce-
TagsNo tags attached.
Attached Files? file icon issue32991.export [^] (11,499 bytes) 2016-06-29 15:35

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0032688 acknowledgedplatform remove unused resources 
related to feature request 00068782.50 closedanthony_wolski Modify Registration process to link to an external registration site 
related to defect 0033430 closedNaroaIriarte API change because the Register.java has been deleted and AD_MODEL_OBJECT_MAPPING.xml and AD_MODEL_OBJECT.xml have been modifi 

-  Notes
(0088084)
NaroaIriarte (developer)
2016-06-29 15:38

The patch with the fix has been attached.
Note that the issue deletes a Java class and it is an API change, so when going to push it, it is necessary to follow all the api changes process before. (Pushing the japi to API-CHECKS, writing the api change in the wiki and sending the email.)
(0088215)
hgbot (developer)
2016-07-05 16:00

Repository: erp/devel/api-checks
Changeset: ca90780da6fdbccb0270def0ac2e07e21cc15b06
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Tue Jul 05 15:34:58 2016 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/ca90780da6fdbccb0270def0ac2e07e21cc15b06 [^]

Fixed issue 33430: API change for issue 32991.

The issue 32991 removes the unused Register.java and modifies
some records of the AD_MODEL_OBJECT.xml and AD_MODEL_OBJECT_MAPPING.xml.
These changes are an API change.

---
M java/reference/java.japi.gz
M model/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
---
(0088217)
hgbot (developer)
2016-07-05 16:04

Repository: erp/devel/pi
Changeset: b54f7cedf5a530c83f336aef0afc515444421f52
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Wed Jun 29 11:00:58 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b54f7cedf5a530c83f336aef0afc515444421f52 [^]

Fixed issue 32991: The unused class Register has been deleted

The unused class Registe has been deleted and all the mappings
which referenced it too.

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
R src/org/openbravo/erpCommon/ad_process/Register.java
---
(0088314)
alostale (developer)
2016-07-08 08:29

code reviewed
(0088989)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-05-18 17:02 alostale New Issue
2016-05-18 17:02 alostale Assigned To => NaroaIriarte
2016-05-18 17:02 alostale Modules => Core
2016-05-18 17:02 alostale Triggers an Emergency Pack => No
2016-05-18 17:02 alostale Relationship added related to 0032688
2016-05-18 17:03 alostale Relationship added related to 0006878
2016-05-18 17:53 NaroaIriarte Status new => acknowledged
2016-05-31 12:10 NaroaIriarte Review Assigned To => alostale
2016-06-29 10:06 NaroaIriarte Status acknowledged => scheduled
2016-06-29 15:35 NaroaIriarte File Added: issue32991.export
2016-06-29 15:38 NaroaIriarte Note Added: 0088084
2016-07-05 16:00 hgbot Checkin
2016-07-05 16:00 hgbot Note Added: 0088215
2016-07-05 16:04 hgbot Checkin
2016-07-05 16:04 hgbot Note Added: 0088217
2016-07-05 16:04 hgbot Status scheduled => resolved
2016-07-05 16:04 hgbot Resolution open => fixed
2016-07-05 16:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b54f7cedf5a530c83f336aef0afc515444421f52 [^]
2016-07-08 08:28 alostale Relationship added related to 0033430
2016-07-08 08:29 alostale Note Added: 0088314
2016-07-08 08:29 alostale Status resolved => closed
2016-07-08 08:29 alostale Fixed in Version => 3.0PR16Q4
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0088989


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker